Subject: Re: [PATCH 1/2] elf loader support for auxvec base platform string

From: Andreas Schwab <[email-masked]>
Date: Mon, 07 Jul 2008 09:49:57 +0200

Roland McGrath <[email-masked]> writes:

>> I'm not sure... if ld.conf.d isn't parse of the kernel source tree then
>> it -will- end in tears...
>
> Of course, you should include the file you want people to install
> as part of the kernel source or build.  You can copy it into
> place in make install or something if you like (convention is to
> call it something.conf in /etc/ld.so.conf.d); then run ldconfig.

That will make it part of the kernel ABI, since the mapping depends on
the running kernel, doesn't it?

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."